PhycoBank - task #6277
task # 6009 (Closed): Import the IAPT database into a cdm instance
task # 6034 (Closed): DataCleaning after final import
use nomenclatural reference as sec. references instead of IAPT
12/13/2016 04:12 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: Import Estimated time: 0:00 hour
Target version: Phycobank data showcase

Description

use nomenclatural reference as sec. references for all taxa which have the IAPT as sec reference
this can be done using the following sql script:

update TaxonBase t set t.sec_id =
( select r.id from TaxonNameBase n
join Reference r on n.nomenclaturalReference_id = r.id
where n.id = t.name_id

)

where sec_id = 14 and ( select r.id from TaxonNameBase n
join Reference r on n.nomenclaturalReference_id = r.id
where n.id = t.name_id

) is not null;

update TaxonBase t set t.titleCache = null
where t.protectedTitleCache = 0 and t.sec_id is not null;

Related issues:
Related to EDIT - feature request #6278: add sec reference as class attribute... Closed

History

#1 - 12/14/2016 02:58 PM - Andreas Kohlbecker
- Description updated

- Status changed from New to In Progress

#2 - 12/14/2016 03:00 PM - Andreas Kohlbecker
- Status changed from In Progress to Feedback
- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

- % Done changed from 0 to 30

script applied to the test database.

@Henning: Please take a look at the data in the editor and check if the data is corrupted.

#3 - 12/16/2016 02:19 PM - Wolf-Henning Kusber

The data looks quiete good, e.g.
Achnanthes boudoui Metzeltin & Lange-Bert. sec. Metzeltin & Lange-Bert., 1998

Formally it is
Genus specificepithet nomenclatural Author team (according to Brummitt & Powell standard) sec. nomenclatural Author team, Year
This works for me (for the IAPT data)

The only thing is, that normally the sec. reference should have bibliographic authors,
e.g. Metzeltin D. & Lange-Bertalot H., 1998
Bibliographic authors are missing in the IAPT database, as far as | know.

#4 - 12/16/2016 03:34 PM - Andreas Kohlbecker
- Status changed from Feedback to Closed

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

Wolf-Henning Kusber wrote:

The only thing is, that normally the sec. reference should have bibliographic authors,
e.g. Metzeltin D. & Lange-Bertalot H., 1998

Bibliographic authors are missing in the IAPT database, as far as | know.
The authorstring that has been imported in this case was: Metzeltin & Lange-Bert. so there is no further detail on the autors. Any additional data
must be entered manually.

I will close the ticket as solved.

#5 - 01/17/2017 02:25 PM - Andreas Kohlbecker
- % Done changed from 30 to 100

#6 - 01/17/2017 02:27 PM - Andreas Kohlbecker

- Related to feature request #6278: add sec reference as class attribute to all taxon markup added
